//#include <windef.h>
//
#include <windows.h>
#include <iostream>
#include "PdfWriter.h"

BOOL APIENTRY DllMain (HINSTANCE hInst     /* Library instance handle. */ ,
					   DWORD reason        /* Reason this function is being called. */ ,
					   LPVOID reserved     /* Not used. */ ) // Здесь нечего не трогаю
{
	hInst;
	reason;//unused
	reserved;//unused
	//
	static const int psVers=14;
	//
	switch (reason)
	{
	case DLL_PROCESS_ATTACH:
		{
			std::cout << "aplPdfWriter.dll dllMain::attach -> aplPdfWriter.dll is loaded" << std::endl;
			apl::qt::first_initQt_def();
		}
		break;
	case DLL_PROCESS_DETACH:
		{
			std::cout << "aplPdfWriter.dll was detach" <<std::endl;
		}
		break;
	case DLL_THREAD_ATTACH:
		break;
	case DLL_THREAD_DETACH:
		break;
	}
	/* Returns TRUE on success, FALSE on failure */
	return TRUE;
}
